<?php

namespace App\Modules\PLATFORM\UserManagement\Providers;

use App\Core\Modules\ModuleServiceProvider;

class UserManagementServiceProvider extends ModuleServiceProvider
{
    protected string $moduleName = 'User Management';
    protected string $moduleSlug = 'user-management';
    protected string $modulePath;

    public function __construct($app)
    {
        parent::__construct($app);
        $this->modulePath = __DIR__ . '/..';
    }

    public function boot(): void
    {
        parent::boot();
    }

    public function register(): void
    {
        parent::register();
    }
}
